package com.zanxiang.common.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author : lingfeng
 * @time : 2022-06-07
 * @description : 用户状态
 */
@Getter
@AllArgsConstructor
public enum HttpStatusEnum {

    /**
     * 成功
     */
    SUCCESS(200, "成功"),

    /**
     * 服务器异常
     */
    FAIL(500, "服务器异常"),

    /**
     * 未知错误
     */
    UNKNOWN_ERROR(-9999, "未知错误"),

    /**
     * 请先登录
     */
    USER_NO_LOGIN(40400, "请登录"),

    /**
     * 用户名为空
     */
    USERNAME_EMPTY(41101, "用户名为空"),

    /**
     * 用户名含敏感字
     */
    USERNAME_SENSITIVE(41102, "用户名含敏感字"),

    /**
     * 用户名已存在
     */
    USERNAME_EXISTS(41103, "用户名已存在"),

    /**
     * 用户名不存在
     */
    USERNAME_NOT_EXISTS(41114, "用户名不存在"),

    /**
     * 用户名或密码错误
     */
    USERNAME_OR_PASSWORD_ERR(41104, "用户名或密码错误"),

    /**
     * 用户名太短
     */
    USERNAME_TOO_SHORT(41105, "用户名太短"),

    /**
     * 用户名太长
     */
    USERNAME_TOO_LONG(41106, "用户名太长"),

    /**
     * 用户名必须为数字字母组合
     */
    USERNAME_BAD_CHAR(41107, "用户名必须为数字字母组合"),

    /**
     * 账号停用
     */
    ACCOUNT_HALT(41108, "账号停用"),

    /**
     * 账户未绑定邮箱
     */
    ACCOUNT_NOT_BIND_EMAIL(41109, "账户未绑定邮箱"),

    /**
     * 账户未绑定手机
     */
    ACCOUNT_NOT_BIND_PHONE(41110, "账户未绑定手机"),

    /**
     * 用户ID不存在
     */
    UID_NOT_EXISTS(41111, "用户ID不存在"),

    /**
     * 用户ID非法
     */
    UID_INVALID(41112, "用户ID非法"),

    /**
     * 手机号请使用手机注册
     */
    USERNAME_LIKE_MOBILE(41113, "手机号请使用手机注册"),

    /**
     * 密码为空
     */
    PASSWORD_EMPTY(41201, "密码为空"),

    /**
     * 密码必须为英文字符
     */
    PASSWORD_BAD_CHAR(41202, "密码必须为英文字符"),

    /**
     * 密码太长
     */
    PASSWORD_TOO_LONG(41203, "密码太长"),

    /**
     * 密码太短
     */
    PASSWORD_TOO_SHORT(41204, "密码太短"),

    /**
     * 密码错误
     */
    PASSWORD_ERROR(41205, "密码错误"),

    /**
     * 手机号为空
     */
    PHONE_EMPTY(41301, "手机号为空"),

    /**
     * 手机号格式错误
     */
    PHONE_ERROR(41302, "手机号格式错误"),

    /**
     * 手机号或邮箱为空
     */
    PHONE_EMAIL_EMPTY(41303, "手机号或邮箱为空"),

    /**
     * 未绑定手机号
     */
    PHONE_NOT_BIND(41304, "未绑定手机号"),

    /**
     * 手机号已绑定
     */
    PHONE_IS_BIND(41305, "手机号已绑定"),

    /**
     * 验证码发送过于频繁
     */
    PHONE_SEND_MORE(41306, "验证码发送过于频繁"),

    /**
     * 验证码发送失败
     */
    PHONE_SEND_ERROR(41307, "验证码发送失败"),

    /**
     * 验证码已发送请稍后再试
     */
    PHONE_HAS_SEND(41308, "验证码已发送请稍后再试"),

    /**
     * 手机号已注册
     */
    PHONE_IS_REG(41309, "手机号已注册"),

    /**
     * 手机号未注册
     */
    PHONE_NOT_REG(41310, "手机号未注册"),

    /**
     * 请先校验原有手机号
     */
    PHONE_NOT_CHECK(41311, "请先校验原有手机号"),

    /**
     * 手机号绑定账号过多
     */
    PHONE_BIND_TOOMUCH(41312, "手机号绑定账号过多"),

    /**
     * email为空
     */
    EMAIL_EMPTY(41351, "email为空"),

    /**
     * email格式错误
     */
    EMAIL_ERROR(41352, "email格式错误"),

    /**
     * 邮箱未绑定
     */
    EMAIL_NOT_BIND(41353, "邮箱未绑定"),

    /**
     * 邮箱已绑定
     */
    EMAIL_IS_BIND(41354, "邮箱已绑定"),

    /**
     * 验证码发送过于频繁
     */
    EMAIL_SEND_MORE(41355, "验证码发送过于频繁"),

    /**
     * 邮件发送失败
     */
    EMAIL_SEND_ERROR(41356, "邮件发送失败"),

    /**
     * 验证码错误
     */
    CODE_ERROR(41601, "验证码错误"),

    /**
     * 验证码类型错误
     */
    CODE_TYPE_ERROR(41602, "验证码类型错误"),

    /**
     * 验证码类型错误
     */
    CODE_NOT_SEND(41603, "验证码类型错误"),

    /**
     * 验证码已过期
     */
    CODE_IS_EXPIRED(41604, "验证码已过期"),

    /**
     * 配置错误
     */
    CONFIG_ERROR(41699, "配置错误"),

    /**
     * 第三方登录失败
     */
    OAUTH_LOGIN_FAIL(41312, "第三方登录失败"),

    /**
     * 性别错误
     */
    GENDER_ERROR(41313, "性别错误"),

    /**
     * 第三方参数错误
     */
    OAUTH_TYPE_ERROR(41314, "第三方参数错误"),

    /**
     * 参数非法
     */
    INVALID_PARAMS(1000, "参数非法"),

    /**
     * 登陆已过期
     */
    LOGIN_IS_OUT(1002, "登陆已过期"),

    /**
     * 玩家已登录
     */
    HAS_LOGIN(1003, "玩家已登录"),

    /**
     * 积分不足
     */
    ITG_NOT_ENOUGH(44001, "积分不足"),

    /**
     * 昵称为空
     */
    NICKNAME_EMPTY(41401, "昵称为空"),

    /**
     * 昵称含敏感字
     */
    NICKNAME_SENSITIVE(41402, "昵称含敏感字"),

    /**
     * 昵称太短
     */
    NICKNAME_TOO_SHORT(41403, "昵称太短"),

    /**
     * 昵称太长
     */
    NICKNAME_TOO_LONG(41404, "昵称太长"),

    /**
     * 你不是渠道，不能进行此操作
     */
    YOU_ARE_NOT_AGENT(41405, "你不是渠道，不能进行此操作"),

    /**
     * 账号异常，不能进行此操作
     */
    MEM_ACCOUNT_ANOMALY(41406, "账号异常，不能进行此操作"),

    /**
     * 支付宝账号已绑定
     */
    ALIPAY_IS_BIND(41407, "支付宝账号已绑定"),

    /**
     * 请选择账号
     */
    SELECT_USERNAME_ERR(41407, "请选择账号"),

    /**
     * 玩家充值未达标
     */
    MEM_NOT_REACH_STAND(41407, "玩家充值未达标"),

    /**
     * 玩家充值未达标
     */
    ORDER_AMOUNT_IS_NULL(41500, "订单金额为空"),

    /**
     * 玩家充值未达标
     */
    ORDER_GAME_ID_IS_NULL(41501, "订单游戏id为空"),

    /**
     * 参数为空
     */
    PARAM_IS_NULL(41500, "参数为空：");

    /**
     * 回传类型
     */
    private final Integer code;

    /**
     * 回传名称
     */
    private final String msg;
}
